package digital.laboratory.platform.imr;

import digital.laboratory.platform.common.feign.annotation.EnableDLPFeignClients;
import digital.laboratory.platform.common.security.annotation.EnableDLPResourceServer;
import digital.laboratory.platform.common.swagger.annotation.EnableDLPSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Configuration;

@Configuration  // ???
@EnableDLPSwagger2
@EnableDLPFeignClients
@EnableDiscoveryClient
@EnableDLPResourceServer
@SpringBootApplication(scanBasePackages="digital.laboratory.platform")
@EnableCaching
public class DlpRepositoryApplication {

    public static void main(String[] args) {
        SpringApplication.run(DlpRepositoryApplication.class, args);


        // System.out.println("\n\n\n");
        // System.out.println("-----------------------------");
        // System.out.println("end of Spring Application main()");
        // System.out.println("-----------------------------");
        // System.out.println("\n\n\n");


    }

    // @Bean
    // RestTemplate restTemplate() {
    //     return new RestTemplate();
    // }
    //
}
