package digital.laboratory.platform.imr.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 创建/修改申请DTO
 */

@Data
@ApiModel(value = "ApplyDTO",description = "创建修改申请dto")
public class ApplyDTO {

    /**
     * 申请id
     */

    @ApiModelProperty(value = "申请id--主键id")
    private String id;

    /**
     * 样本id
     */
    @ApiModelProperty(value = "选择的样本id集合")
    private List<String> sampleId;

    /**
     * 申请原因
     */
    @ApiModelProperty(value="申请原因")
    private String reason;


    /**
     * 申请类型(如果是一个接口就要使用该字段)
     *
     * destroy销毁
     * Carry外带
     */
    @ApiModelProperty(value="申请类型/1.外带/2.销毁--必须传的字段")
    private Integer applyType;
}
