package digital.laboratory.platform.imr.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 入库DTO
 */

@Data
@ApiModel(value = "样本入库dto")
public class InRepositoryDTO {

    /**
     * 样本编号
     */
    @ApiModelProperty(value="样本编号")
    private String sampleNo;



    /**
     * 样本入库时质量(这里更确切应该是流转的质量)
     */
    @ApiModelProperty(value="入库质量/体积")
    private BigDecimal quality;



    /**
     * 监督人
     */
    @ApiModelProperty(value="监督人")
    private String supervisor;


    /**
     * 计量单位
     */
    @ApiModelProperty(value="计量单位")
    private String unit;

}
