package digital.laboratory.platform.imr.dto;


import digital.laboratory.platform.imr.dto.base.BaseQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "通用的查询参数dto--选择其中部分数据作为查询参数")
public class QueryDTO extends BaseQuery {

    //以下为查询条件

    @ApiModelProperty(value = "名称")
    private String name;//名称


    @ApiModelProperty(value = "样本id集合")
    private String sampleIds;//名称

    @ApiModelProperty(value = "状态--必带参数")
    private Integer status;//状态

    @ApiModelProperty(value = "总量")
    private Integer total;


    @ApiModelProperty(value = "查询类型字段1.按照样本模糊查询;2.按照任务模糊查询")
    private Integer type;

    @ApiModelProperty(value = "查询参数：房间号")
    private String  roomNo;


}
