package digital.laboratory.platform.imr.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.imr.component.DateUtils;
import digital.laboratory.platform.imr.dto.base.BaseQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 仓库查询样本DTO
 */
@Data
@ApiModel(value = "仓库查询样本dto")
public class QuerySampleDTO extends BaseQuery {

    @ApiModelProperty(value = "样本名称")
    private String name;//名称
    @ApiModelProperty(value = "样本类型")
    private String sampleType;//


   // private String sampleNo;//编号

    @ApiModelProperty(value = "状态--必带参数")
    private Integer status;//状态


}
