package digital.laboratory.platform.imr.dto;


import digital.laboratory.platform.imr.dto.base.BaseQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 查询房间--柜子--格子对应的dto
 */

@Data
@ApiModel(value = "查询存储相关的dto")
public class QueryStorageDTO extends BaseQuery {

    @ApiModelProperty(value = "id--这个id可以是房间/柜子")
    private String id;

    @ApiModelProperty(value = "name--这个name可以是房间/柜子")
    private String name;

}
