package digital.laboratory.platform.imr.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@ApiModel(value = "通用对象;需要什么就赋值什么")
public class UseOutboundDTO {


    @ApiModelProperty(value = "格子id")
    private String cellId;

    @ApiModelProperty(value = "房间号")
    private String roomNo;

    @ApiModelProperty(value = "位置")
    private String location;


    @ApiModelProperty(value = "当前账户密码")
    private String password;

    @ApiModelProperty(value = "取检码")
    private String code;

    @ApiModelProperty(value = "监督人id")
    private String supervisorId;

    @ApiModelProperty(value = "样本id集合")
    private List<String> sampleIds;


    @ApiModelProperty(value = "样本id")
    private String sampleId;

    private Integer type;

    private Integer number;

    private String cabinetId;
}
