package digital.laboratory.platform.imr.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@TableName(value = "association_open", autoResultMap = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "样本关联开箱记录表")
public class AssociationOpen extends BaseEntity {


    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="主键id")
    private String id;

    /**
     * sample_id
     */
    @ApiModelProperty(value="样本id")
    private String sampleId;



    @ApiModelProperty(value="开箱记录id")
    private String openId;


}
