package digital.laboratory.platform.imr.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BaseSampleDetail {


    @ApiModelProperty(value="样本id")
    private String id;

    /**
     * 样本编号
     */

    @ApiModelProperty(value="样本编号")
    private String sampleNo;

    /**
     * 样本名称
     */
    @ApiModelProperty(value="样本名称")
    private String name;


    /**
     * 样本类型
     */
    @ApiModelProperty(value="样本类型")
    private String sampleType;


    /**
     *类别
     */
    @ApiModelProperty(value="类别")
    private String category;

    /**
     * 存储方式
     */
    @ApiModelProperty(value="存储方式")
    private String storageMethod;



    /**
     * 性状
     */
    @ApiModelProperty(value="性状")
    private String form;

    /**
     * 来源
     */
    @ApiModelProperty(value="来源")
    private String source;

    @ApiModelProperty(value="来源名称")
    private String sourceName;

    /**
     * 提取方式
     */
    @ApiModelProperty(value="提取方式")
    private String drawWay;

    /**
     * 质量
     */
    @ApiModelProperty(value="质量")
    private double quantity;
    /**
     * 计量单位
     */
    @ApiModelProperty(value="计量单位")
    private String unit;

    /**
     * 送检单位
     */
    @ApiModelProperty(value="送检单位")
    private String orgName;


    /**
     * 受理人
     */
    @ApiModelProperty(value="受理人")
    private String acceptedBy;

    /**
     * 现有质量
     */
    @ApiModelProperty(value="现有质量")
    private BigDecimal existingQuality;
}
