package digital.laboratory.platform.imr.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@ApiModel("格子显示vo")
@AllArgsConstructor
@NoArgsConstructor
public class CellVO {

    @ApiModelProperty("格子id")
    private String cellId;

    @ApiModelProperty("格子名称")
    private String cellName;


    @ApiModelProperty(value="楼层")
    private String buildingLv;

    @ApiModelProperty(value="房间号")
    private String roomNo;

    @ApiModelProperty(value="柜子名称")
    private String cabinetName;

    @ApiModelProperty(value="柜子id")
    private String boxId;


    @ApiModelProperty(value="出库申请样本信息描述(部分简单信息)")
    List<OutSampleVO> sampleList;

    private Integer number;
    private String location;

    private Integer cabinetType;


}
