package digital.laboratory.platform.imr.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "DrugStatisticVO", description = "毒品送缴量统计 -返回给前端显示的VO对象 ")
public class DrugStatisticVO {

    @ApiModelProperty(value = "折线图数据")
    private List<List<Object>> lineChartDataList;

    @ApiModelProperty(value = "折线图数据的总和")
    private Integer lineChartDataSum;


    @ApiModelProperty(value = "柱状图数据")
    private List<List<Object>> barChartDataList;

    @ApiModelProperty(value = "柱状图数据的总和")
    private Integer barChartDataSum;

    @ApiModelProperty(value = "饼图数据")
    private List<List<Object>> pieChartDataList;

    @ApiModelProperty(value = "饼图数据的总和")
    private Integer pieChartDataSum;

    @ApiModelProperty(value = "树状图数据")
    private String treeChartDateList;
}
