package digital.laboratory.platform.imr.vo;

import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 出入库登记表打印vo
 */
@Data
public class InAndOutInfos {

    private Integer number;//序号
    private String sampleNo;//编号
    private String sampleType;//样本类型
    private LocalDate warehousingDate;//入库时间
    private LocalDate outWarehouseDate;//出库时间
    private String appraiserName;//鉴定人姓名
    private LocalDate returnTime;//归还时间
    private String imName;//检材管理员
    private String remarks;//备注
    private String inboundSupervisorName;//入库监督人
    private String outboundSupervisorName;//出库监督人

    private LocalDateTime createTime;
}
