package digital.laboratory.platform.imr.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "显示存放位置的图片vo对象")
public class StoragePictureVO {


    @ApiModelProperty(value = "存储位置")
    private String storageLocation;


    @ApiModelProperty(value = "照片集合")
    List<HttpServletRequest> theHttpServletRequest;
}
