package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 出库明细
 *
 * @author Zhang Xiaolong created at  2023-03-17 11:23:41
 * @describe 出库明细 实体类
 */
@Data
@TableName(value = "out_warehouse_detailed", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "出库明细")
public class OutWarehouseDetailed extends BaseEntity {

    /**
     * --主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="--主键id")
    private String id;

    /**
     * 申请id
     */
    @ApiModelProperty(value="申请id")
    private String applyId;

    /**
     * 样本id
     */
    @ApiModelProperty(value="样本id")
    private String sampleId;






}
