package digital.laboratory.platform.imr.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.imr.entity.IdentificationMaterialTransferRetainedAnnex;
import digital.laboratory.platform.imr.vo.RetainedSample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *  Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-05-08
 * @describe  Mapper 类
 */
@Mapper
public interface IdentificationMaterialTransferRetainedAnnexMapper extends BaseMapper<IdentificationMaterialTransferRetainedAnnex> {

    List<RetainedSample> getSampleTransfer(@Param("sampleId") String sampleId);
}
