package digital.laboratory.platform.imr.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "DrugHandingOverApplyQuery", description = "毒品库送缴申请信息查询对象 Query")
public class DrugHandingOverApplyQuery extends BaseQuery{

    @ApiModelProperty("时间范围查询类型，1 申请时间 | 2 送缴时间")
    private Integer timeRangeType;


    @ApiModelProperty("用户查询类型，1 送缴用户 | 2 接收用户")
    private Integer userQueryType;
    /**
     * 用户
     */
    @ApiModelProperty("用户id")
    private String userId;

}
