package digital.laboratory.platform.imr.vo;

import digital.laboratory.platform.imr.entity.DestructionPublicity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "DestructionPublicityVO",description = "销毁公示vo")
public class DestructionPublicityVO extends DestructionPublicity {

    /**
     * 申请人姓名
     */

    @ApiModelProperty("申请人姓名")
    private String applicantName;

    /**
     * 审核人姓名
     */
    @ApiModelProperty("审核人姓名")
    private String reviewerName;


    /**
     *对应的样本vo
     */
    @ApiModelProperty("样本显示vo")
    private List<OutSampleVO> sampleVO;
}
